Skip to main content
PUT
Update an org-level playbook

Permissions

Requires a service user with the ManageAccountPlaybooks permission for the specified organization.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

playbook_id
string
required

Playbook ID (prefix: playbook-)

Example:

"playbook-abc123def456"

org_id
string
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

Body

application/json
body
string
required
title
string
required
macro
string | null

Playbook macro identifier. Must start with '!' followed by one or more letters, digits, underscores, or hyphens. Example: '!my_macro' or '!my-macro'

structured_output_schema
Structured Output Schema · object | null

JSON Schema (Draft 7) that sessions using this playbook will produce as structured output. Max 64KB. Must be self-contained (no external $ref).

Response

Successful Response

access_type
enum<string>
required
Available options:
enterprise,
org
body
string
required
created_at
integer
required
created_by
string
required
macro
string | null
required
org_id
string | null
required
playbook_id
string
required
title
string
required
updated_at
integer
required
updated_by
string
required
structured_output_schema
Structured Output Schema · object | null